New API doc - typos and questions
-
@unknownuser said:
Jim, is there a way that I could be granted edit rights just to this thread? Then I could add a FIXED note inside the reports as I correct them?
I'll ask gai if he can make you a mod for the ruby forum
-
@thomthom said:
ToolObservers? How are they related to onClose and onOpen?
I meant to say, InstanceObservers.
In any case, they fire fine for me.
-
@remus said:
@unknownuser said:
Jim, is there a way that I could be granted edit rights just to this thread? Then I could add a FIXED note inside the reports as I correct them?
I'll ask gai if he can make you a mod for the ruby forum
Scott, there's no way to give edit-rights on a single topic. So you get edit rights to the whole Ruby Forum.
If you have a list of changes, we can take care of marking them fixed. I'd hate to see you spend time doing it if you have more important work to do.
-
Hi Scott, I have sent you a PM, too, about it. The mods have also be informed to welcome you in the team.
-
@unknownuser said:
@thomthom said:
ToolObservers? How are they related to onClose and onOpen?
I meant to say, InstanceObservers.
In any case, they fire fine for me.
Hmm... When I tried to implement it in my plugin the
onClose
never fired. I also tried Jim's observer test script: http://sketchuptips.blogspot.com/2008/03/plugin-oberver-tests.html - and that never fired either. Could you post a working sample whereonClose
fires? (TheonOpen
always works though.) -
@thomthom said:
Could you post a working sample where
onClose
fires?Give this a go... Could be that we're seeing a sneaky bug...
class MyInstanceObserver < Sketchup;;InstanceObserver def onOpen(instance) UI.messagebox("onOpen; " + instance.to_s) end def onClose(instance) UI.messagebox("onClose; " + instance.to_s) end end model = Sketchup.active_model model.definitions[0].instances[0].add_observer(MyInstanceObserver.new)
-
Nopes. Doesn't work.
-
Works for me...
-
Scott just found out that it works if the script loads when SU loads. But if you put it a subfolder for instance, and then manually load it, it won't work.
Jim's Observer tests never fire the event in SU7. However, in SU6 it works fine. -
Just wondering if you have Dynamic Components on, and what happens if you turn them off?
-
@jim said:
Just wondering if you have Dynamic Components on, and what happens if you turn them off?
Well I'll be! After disabling DCs the
onClose
even works!btw, the DefinitionObserver works in SU6. But not SU7. Noticed that when I tested this observer in SU6.
-
Self note: need to add an explanation of how add_face works in relation to which "side" of the face is inside vs. outside, and document the exception where faces drawn at z=0 are always drawn with inside facing upward.
-Scott Lininger
-
From Didier's post:
http://www.sketchucation.com/forums/scf/viewtopic.php?f=180&t=18488
Need to add an FAQ for getting to installation directory of SU, for folks trying to build installers (and find out a mac equivalent.)
-
BoundingBox.valid?
text says
status true if the bounding box is valid (not empty), false if it is not valid (empty)
but the code example has it exactly the opposite:
bbox = Sketchup.active_model.bounds status = bbox.valid? if (status) # If true, bounding box is empty. else # If false, bounding box contains entities. end
-
The introduction to RenderingOptions class states:
@unknownuser said:
The majority of the rendering information returned exists in the Model Info > Display section of SketchUp.
There is no longer a Model Info > Distplay section of SketchUp. I suppose it should say its in the styles inspector or something like that.
http://code.google.com/apis/sketchup/docs/ourdoc/renderingoptions.html#introduction
Also, the API doesn't list these:
DisplayQueWidth
DisplayDims
DisplaySketchAxes
DisplayText
DisplayWatermarks
DrawDepthQue
DrawLineEnds
DrawProfilesOnly
DrawUnderground
EdgeType
FogEndDist*- listed as FogEnd in the API*
FogStartDist - listed as FogStart in the API
HideConstructionGeometry
LineEndWidth
LockedColor
SectionTransparencyMode
ShowViewNameAnd the API lists these which don't appear to be valid:
DisplayFogEdges
FogDensity
FogEnd - appears to actually be FogEndDist
FogStart*- appears to actually be FogStartDist*
FogTypeI tried to be thorough, but perhaps I missed something. It might not be bad to double check my work
Chris
-
http://code.google.com/apis/sketchup/docs/ourdoc/tool.html#onReturn
the onReturn method is showing an example for onMouseLeave
-
http://code.google.com/apis/sketchup/docs/ourdoc/view.html#zoom_extents
Does not give an example of view.zoom_extents. It gives an example of view.zoom
-
ModelObserver.onExplode
http://code.google.com/apis/sketchup/docs/ourdoc/modelobserver.html#onExplode@unknownuser said:
The onExplode method is invoked whenever a component anywhere in this model is exploded. This is an easier way to watch explode events vs. attaching an InstanceObserver to every instance in the model.
The docs in
InstanceObserver
http://code.google.com/apis/sketchup/docs/ourdoc/instanceobserver.html doesn't mention any explode event. All though, I imagine there used to be.ModelObserver.onExplode
is new to SU7, and I'm sure there was an explode related event in SU6. But it's MIA atm. -
Face.position_material
http://code.google.com/intl/nb/apis/sketchup/docs/ourdoc/face.html#position_materialDoesn't explain the difference between using 2,4,6 or 8 points.
-
Vector3d.samedirection?
http://code.google.com/intl/nb/apis/sketchup/docs/ourdoc/vector3d.html#samedirection?@unknownuser said:
vector = Geom::Vector3d.new 0,0,1
vector2 = Geom::Vector3d.new 0,1,0
status = vector.sime_direction? vector2
Advertisement